
From: Matt Porter <mporter@kernel.crashing.org>

This patch removes warnings associated with Ebony MTD related defines. 
Please apply.

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/4xx/ebony.h |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

diff -puN arch/ppc/platforms/4xx/ebony.h~ppc32-fix-warnings-on-ebony-mtd-build arch/ppc/platforms/4xx/ebony.h
--- 25/arch/ppc/platforms/4xx/ebony.h~ppc32-fix-warnings-on-ebony-mtd-build	Fri Aug 20 15:33:40 2004
+++ 25-akpm/arch/ppc/platforms/4xx/ebony.h	Fri Aug 20 15:33:40 2004
@@ -40,21 +40,21 @@
 #define EBONY_RTC_SIZE		0x2000
 
 /* Flash */
-#define EBONY_FPGA_ADDR		0x0000000148300000
+#define EBONY_FPGA_ADDR		0x0000000148300000ULL
 #define EBONY_BOOT_SMALL_FLASH(x)	(x & 0x20)
 #define EBONY_ONBRD_FLASH_EN(x)		(x & 0x02)
 #define EBONY_FLASH_SEL(x)		(x & 0x01)
-#define EBONY_SMALL_FLASH_LOW1	0x00000001ff800000
-#define EBONY_SMALL_FLASH_LOW2	0x00000001ff880000
-#define EBONY_SMALL_FLASH_HIGH1	0x00000001fff00000
-#define EBONY_SMALL_FLASH_HIGH2	0x00000001fff80000
+#define EBONY_SMALL_FLASH_LOW1	0x00000001ff800000ULL
+#define EBONY_SMALL_FLASH_LOW2	0x00000001ff880000ULL
+#define EBONY_SMALL_FLASH_HIGH1	0x00000001fff00000ULL
+#define EBONY_SMALL_FLASH_HIGH2	0x00000001fff80000ULL
 #define EBONY_SMALL_FLASH_SIZE	0x80000
-#define EBONY_LARGE_FLASH_LOW	0x00000001ff800000
-#define EBONY_LARGE_FLASH_HIGH	0x00000001ffc00000
+#define EBONY_LARGE_FLASH_LOW	0x00000001ff800000ULL
+#define EBONY_LARGE_FLASH_HIGH	0x00000001ffc00000ULL
 #define EBONY_LARGE_FLASH_SIZE	0x400000
 
-#define EBONY_SMALL_FLASH_BASE	0x00000001fff80000
-#define EBONY_LARGE_FLASH_BASE	0x00000001ff800000
+#define EBONY_SMALL_FLASH_BASE	0x00000001fff80000ULL
+#define EBONY_LARGE_FLASH_BASE	0x00000001ff800000ULL
 
 /*
  * Serial port defines
_
